#include <algorithm>
#include <iostream>
#include <numeric>
#include <fstream>
#include <vector>
#include <string>
#include <cmath>
#include <queue>
#include <stack>
#include <set>
#include <map>

using namespace std;

typedef long long ll;

ll binpow(ll a, ll n) {
	if (n == 0)
		return 1;
	if (n % 2 == 1)
		return binpow(a, n - 1) * a;
	else {
		ll b = binpow(a, n / 2);
		return b * b;
	}
}

ll Max(ll a, ll b) {
	if (a >= b)
		return a;
	else
		return b;
}

ll Min(ll a, ll b) {
	if (a <= b)
		return a;
	else
		return b;
}

int main() {
	ll n, a = 4, b = 1;
	cin >> n;
	vector <ll> v(n);
	v[0] = 5;
	for (ll i = 1; i < n; i++) {
		v[i] = v[i - 1] + a;
		a += binpow(2, b);
		b++;
	}
	cout << v[n - 1];
}